Mailinglist Archive: opensuse-security-announce (97 mails)

< Previous Next >
[security-announce] SUSE-SU-2016:0755-1: important: Security update for kernel live patch 1
SUSE Security Update: Security update for kernel live patch 1
______________________________________________________________________________

Announcement ID: SUSE-SU-2016:0755-1
Rating: important
References: #955837 #960329 #962078
Cross-References: CVE-2013-7446 CVE-2015-8660 CVE-2016-0728

Affected Products:
SUSE Linux Enterprise Live Patching 12
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:


This kernel live patch for Linux Kernel 3.12.51-60.20.2 fixes three
security issues:

Fixes:
- CVE-2016-0728: A reference leak in keyring handling with
join_session_keyring() could lead to local attackers gain root
privileges. (bsc#962078).
- CVE-2015-8660: The ovl_setattr function in fs/overlayfs/inode.c in the
Linux kernel through 4.3.3 attempts to merge distinct setattr
operations, which allows local users to bypass intended access
restrictions and modify the attributes of arbitrary overlay files via a
crafted application. (bsc#960329)
- CVE-2013-7446: Use-after-free vulnerability in net/unix/af_unix.c in the
Linux kernel allowed local users to bypass intended AF_UNIX socket
permissions or cause a denial of service (panic) via crafted epoll_ctl
calls. (bsc#955837)


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Live Patching 12:

zypper in -t patch SUSE-SLE-Live-Patching-12-2016-441=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Live Patching 12 (x86_64):

kgraft-patch-3_12_51-60_20-default-3-2.1
kgraft-patch-3_12_51-60_20-xen-3-2.1


References:

https://www.suse.com/security/cve/CVE-2013-7446.html
https://www.suse.com/security/cve/CVE-2015-8660.html
https://www.suse.com/security/cve/CVE-2016-0728.html
https://bugzilla.suse.com/955837
https://bugzilla.suse.com/960329
https://bugzilla.suse.com/962078

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages